package com.care.bigscreen.service.impl;


import com.care.bigscreen.mapper.StStationMapper;
import com.care.bigscreen.service.StStationService;
import com.care.bigscreen.vo.BigScreenStatisticsVO;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;



/**
 * @author stw
 * @version 1.0
 * @description 站点统计表接口实现类
 * @date 2021/05/20/19:41
 */
@Service
public class StStationServiceImpl implements StStationService {

    @Resource
    private StStationMapper stStationMapper;

    /**
     * 大屏统计查询
     * @return 搜索符合条件的大屏统计数据
     */
    @Override
    public BigScreenStatisticsVO selectBigScreenStatistics(Long stationId, Long orgId){
        return stStationMapper.selectBigScreenStatistics(stationId,orgId);
    }

    /**
     * 大屏统计查询
     * @return 根据经纬度范围搜索符合条件的大屏统计数据
     */
    @Override
    public BigScreenStatisticsVO selectBigScreenStatisticsByLongitudeLatitude(String longitudeLeftUp,String latitudeLeftUp,String longitudeRightDown,String latitudeRightDown) {
        return stStationMapper.selectBigScreenStatisticsByLongitudeLatitude(longitudeLeftUp,latitudeLeftUp,longitudeRightDown,latitudeRightDown);
    }
}
